%define url_ver %(echo %version | cut -d. -f1,2)

Summary:	A IM client based on Telepathy framework
Name:		empathy
Version:	3.6.3
Release:	%mkrel 2
License:	GPLv2+
Group:		Networking/Instant messaging
URL:		http://live.gnome.org/Empathy
Source:		http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	iso-codes >= 0.35
BuildRequires:	pkgconfig(champlain-0.12)
BuildRequires:	pkgconfig(champlain-gtk-0.12)
BuildRequires:	pkgconfig(cheese-gtk) >= 2.91.91.1
BuildRequires:	pkgconfig(clutter-1.0) >= 1.10.0
BuildRequires:	pkgconfig(clutter-gst-2.0)
BuildRequires:	pkgconfig(clutter-gtk-1.0) >= 1.1.2
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(enchant) >= 1.2.0
BuildRequires:	pkgconfig(evolution-data-server-1.2)
BuildRequires:	pkgconfig(farstream-0.2)
BuildRequires:	pkgconfig(folks) >= 0.6.0
BuildRequires:	pkgconfig(gcr-3) >= 2.91.4
BuildRequires:	pkgconfig(gee-1.0)
BuildRequires:	pkgconfig(geoclue) >= 0.11
BuildRequires:	pkgconfig(geocode-glib)
BuildRequires:	pkgconfig(gio-2.0) >= 2.33.3
BuildRequires:	pkgconfig(gio-unix-2.0) >= 2.33.3
BuildRequires:	pkgconfig(glib-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gnome-keybindings) >= 2.31.4
BuildRequires:	pkgconfig(gnome-keyring-1) >= 2.26.0
BuildRequires:	pkgconfig(gnutls) >= 2.8.5
BuildRequires:	pkgconfig(goa-1.0) >= 3.3.0
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-audio-1.0)
BuildRequires:	pkgconfig(gstreamer-video-1.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.2
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(libcanberra-gtk3) >= 0.25
BuildRequires:	pkgconfig(libnm-glib) >= 0.7.0
BuildRequires:	pkgconfig(libnotify) >= 0.7
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(libpulse-mainloop-glib)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(mission-control-plugins)
BuildRequires:	pkgconfig(nautilus-sendto) >= 2.90.0
BuildRequires:	pkgconfig(telepathy-farstream) >= 0.4.999
BuildRequires:	pkgconfig(telepathy-glib) >= 0.19.9
BuildRequires:	pkgconfig(telepathy-logger-0.2) >= 0.2.13
BuildRequires:	pkgconfig(webkitgtk-3.0) >= 1.3.13
BuildRequires:	pkgconfig(x11)
BuildRequires:	intltool >= 0.35.0
BuildRequires:	itstool
# BuildRequires: gtk-doc
BuildRequires:	gnome-doc-utils >= 0.17.3

Requires:	gstreamer1.0-gstclutter
Requires:	telepathy-mission-control >= 5

# jabber by default, unless someone has a better idea
Requires:	telepathy-gabble

# Spell check support
Requires:	iso-codes

# needed by MSN
Suggests:	telepathy-butterfly

# various protocol provided by libpurple
Suggests:	telepathy-haze

# needed for local XMPP
Suggests:	telepathy-salut

# needed for irc
Suggests:	telepathy-idle

# needed for voip
Suggests:	gstreamer1.0-farstream

Suggests:	nautilus-sendto
Provides:	nautilus-sendto-empathy
Obsoletes:	nautilus-sendto-empathy

%description
Empathy consists of a rich set of reusable instant messaging widgets, as
well as a GNOME client that uses those widgets.

Empathy uses Telepathy and Nokia's Mission Control, and reuses Gossip's
UI. Its main goal is to integrate instant messaging with the desktop by
providing libempathy and libempathy-gtk libraries, a set of widgets that
can be embeded into any GNOME application.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static
make

%install
%makeinstall_std

find %{buildroot} -name '*.la' -delete

%find_lang %{name} --with-gnome --with-help

%files -f %{name}.lang
%doc README ChangeLog AUTHORS
%{_bindir}/*
%{_libexecdir}/empathy-chat
%{_libexecdir}/empathy-auth-client
%{_libexecdir}/empathy-call
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/lib*.so
%{_libdir}/mission-control-plugins.0/mcp-account-manager-goa.so
%{_libdir}/nautilus-sendto/plugins/libnstempathy.so
%{_datadir}/applications/%{name}.desktop
%{_datadir}/dbus-1/services/*
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/telepathy/clients/*
%{_mandir}/man1/*
%{_datadir}/GConf/gsettings/empathy.convert
%{_datadir}/glib-2.0/schemas/org.gnome.Empathy.gschema.xml
%dir %{_datadir}/adium
%{_datadir}/adium/message-styles/*.AdiumMessageStyle


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 3.6.3-2.mga3
+ Revision: 349657
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 ovitters <ovitters> 3.6.3-1.mga3
+ Revision: 343648
- new version 3.6.3

* Thu Dec 20 2012 fwang <fwang> 3.6.2-2.mga3
+ Revision: 333325
- build with gst 1.0

* Tue Nov 13 2012 fwang <fwang> 3.6.2-1.mga3
+ Revision: 317529
- new version 3.6.2

* Mon Oct 15 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 306704
- new version 3.6.1

* Mon Oct 08 2012 ovitters <ovitters> 3.6.0.3-1.mga3
+ Revision: 303545
- new version 3.6.0.3

* Mon Oct 08 2012 ovitters <ovitters> 3.6.0.2-1.mga3
+ Revision: 303423
- new version 3.6.0.2

* Wed Oct 03 2012 ovitters <ovitters> 3.6.0.1-1.mga3
+ Revision: 302324
- new version 3.6.0.1

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297460
- new version 3.6.0

* Wed Sep 19 2012 fwang <fwang> 3.5.92-2.mga3
+ Revision: 296101
- bump rel
- Parallel builds are broken
- bump req on telepathy

  + ovitters <ovitters>
    - new version 3.5.92

* Fri Sep 07 2012 ovitters <ovitters> 3.5.91.1-1.mga3
+ Revision: 289286
- new version 3.5.91.1

* Wed Sep 05 2012 fwang <fwang> 3.5.91-2.mga3
+ Revision: 288288
- rebuild for new cheese

* Tue Sep 04 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 287949
- new version 3.5.91

* Mon Aug 20 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 282622
- update file list
- drop merged patch
- new version 3.5.90

* Mon Aug 06 2012 fwang <fwang> 3.5.5-1.mga3
+ Revision: 279389
- fix str fmt
- bump br on telepathy-glib

  + ovitters <ovitters>
    - new version 3.5.5

* Fri Jul 27 2012 fwang <fwang> 3.5.4.1-1.mga3
+ Revision: 274906
- update file list
- add br
- update file list

  + ovitters <ovitters>
    - new version 3.5.4.1

* Mon Jul 16 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 271453
- update file list
- new version 3.5.4

* Sun Jul 01 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 266495
- new version 3.5.3

* Wed Jun 27 2012 ovitters <ovitters> 3.4.2.3-1.mga3
+ Revision: 264388
- new version 3.4.2.3

* Wed Jun 27 2012 ovitters <ovitters> 3.4.2.2-1.mga3
+ Revision: 264380
- new version 3.4.2.2

* Sun Jun 24 2012 shlomif <shlomif> 3.4.2.1-2.mga3
+ Revision: 263259
- Fix Requires: and Suggests:. Thanks to simplew.

* Mon May 21 2012 ovitters <ovitters> 3.4.2.1-1.mga3
+ Revision: 235990
- new version 3.4.2.1
- new version 3.4.2

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231042
- new version 3.4.1

* Fri Apr 06 2012 ovitters <ovitters> 3.4.0.2-1.mga2
+ Revision: 228841
- new version 3.4.0.2

* Thu Apr 05 2012 ovitters <ovitters> 3.4.0.1-1.mga2
+ Revision: 228665
- update buildrequires
- new version 3.4.0.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226646
- new version 3.4.0

* Tue Mar 20 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 225012
- new version 3.3.92

* Wed Mar 07 2012 fwang <fwang> 3.3.91-1.mga2
+ Revision: 220703
- new version 3.3.91

* Sun Mar 04 2012 wally <wally> 3.3.90.2-2.mga2
+ Revision: 217891
- drop old farsight2 BRs

* Fri Mar 02 2012 ovitters <ovitters> 3.3.90.2-1.mga2
+ Revision: 216808
- new version 3.3.90.2

* Fri Feb 24 2012 ovitters <ovitters> 3.3.90.1-1.mga2
+ Revision: 213856
- update file list (include help)
- new version

* Fri Feb 24 2012 mitya <mitya> 3.3.90-1.mga2
+ Revision: 213648
- fix build
- BuildRequires: itstool

  + ovitters <ovitters>
    - new version

* Tue Feb 07 2012 fwang <fwang> 3.3.5-3.mga2
+ Revision: 205948
- update file list
- more br

* Tue Feb 07 2012 fwang <fwang> 3.3.5-2.mga2
+ Revision: 205931
- enable goa plugin

* Tue Feb 07 2012 fwang <fwang> 3.3.5-1.mga2
+ Revision: 205921
- new version 3.3.5

* Tue Jan 17 2012 fwang <fwang> 3.3.4-2.mga2
+ Revision: 197340
- rebuild for new cogl

* Mon Jan 16 2012 ovitters <ovitters> 3.3.4-1.mga2
+ Revision: 196943
- new version
- clean spec

* Mon Dec 19 2011 wally <wally> 3.3.3-1.mga2
+ Revision: 184585
- new version 3.3.3

* Thu Nov 24 2011 fwang <fwang> 3.3.2-3.mga2
+ Revision: 171554
- rebuild for new clutter

* Tue Nov 22 2011 fwang <fwang> 3.3.2-2.mga2
+ Revision: 170828
- rebuild for new cheese

* Mon Nov 21 2011 wally <wally> 3.3.2-1.mga2
+ Revision: 170512
- new version 3.3.2
- bump some telepathy deps

* Mon Nov 21 2011 fwang <fwang> 3.3.1-2.mga2
+ Revision: 170391
- rebuild for new evo

* Sat Oct 29 2011 fwang <fwang> 3.3.1-1.mga2
+ Revision: 159423
- new version 3.3.1

* Tue Oct 18 2011 wally <wally> 3.2.1-2.mga2
+ Revision: 156383
- rebuild for new folks

* Mon Oct 17 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 155793
- new version 3.2.1
- bump telepathy-glib dep

* Sun Oct 09 2011 wally <wally> 3.2.0.1-1.mga2
+ Revision: 153583
- new version 3.2.0.1

* Mon Sep 26 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 148631
- new version 3.2.0

* Mon Sep 19 2011 wally <wally> 3.1.92-2.mga2
+ Revision: 145707
- rebuild for new cogl

* Mon Sep 19 2011 fwang <fwang> 3.1.92-1.mga2
+ Revision: 145515
- new version 3.1.92

* Sun Sep 18 2011 dmorgan <dmorgan> 3.1.91-3.mga2
+ Revision: 144675
- Rebuild against new libcheese

  + wally <wally>
    - rebuild for new cheese

* Tue Sep 06 2011 wally <wally> 3.1.91-1.mga2
+ Revision: 139617
- new version 3.1.91

* Sat Sep 03 2011 wally <wally> 3.1.90.1-2.mga2
+ Revision: 138180
- rebuild for new champlain
- minor .spec cleanup

* Wed Aug 31 2011 fwang <fwang> 3.1.90.1-1.mga2
+ Revision: 136968
- new version  3.1.90.1

* Tue Aug 30 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 136751
- new version 3.1.90
- new version 3.1.5.1
- update versioned br
- new version 3.1.5
- rebuild for new gnutls
- update file list
- disable control center
- br extra feature
- br geocode
- sort br
- br gudev
- bump req
- new version 3.1.4

  + wally <wally>
    - rebuild for new folks
    - rebuild for new gcr

* Tue Jul 19 2011 ahmad <ahmad> 3.1.3-1.mga2
+ Revision: 126429
- Update to 3.1.3
- Add BR pkgconfig(telepathy-farstream) for call support
- Covert the BR to pkgconfig BR style
- Drop redundant BR gtk-doc
- Update the file list

* Sun Jul 03 2011 dmorgan <dmorgan> 3.1.2.1-1.mga2
+ Revision: 117622
- Fix file list
- More versionnate fixes
- Fix libfolk-devel required version
- New version 3.1.2.1

* Mon Jun 20 2011 dmorgan <dmorgan> 3.0.2-2.mga2
+ Revision: 110463
- Rebuild against new webkit
- Add buildrequires
- Add buildrequires
- New version 3.0.2

  + cjw <cjw>
    - update build deps

* Thu Apr 28 2011 ahmad <ahmad> 2.34.0-2.mga1
+ Revision: 92843
- Drop the explicit BR libxslt-proc, it's alreay required by bot gtk-doc and gnome-doc-utils
- Require iso-codes (for spell checking support)
- Fix License

* Wed Apr 13 2011 dams <dams> 2.34.0-1.mga1
+ Revision: 84769
- update to 2.34.0
- change back BuildRequires to 'libgeoclue-devel', update to 2.34.0, update deps and update filelist
- change BuildRequires from 'libgeoclue-devel' to 'geoclue-devel' and update to 2.34.0
- update to 2.34.0

  + boklm <boklm>
    - rebuild

  + dmorgan <dmorgan>
    - Fix builrequires

* Sun Feb 20 2011 eandry <eandry> 2.32.2-1.mga1
+ Revision: 54840
- drop buildroot and old conditional
- imported package empathy

